BBCode Configurator Error After Updating to 3.2.2

Get help with installation and running phpBB 3.2.x here. Please do not post bug reports, feature requests, or extension related questions here.
Post Reply
blueflame100
Registered User
Posts: 1
Joined: Tue Jan 09, 2018 6:25 am

BBCode Configurator Error After Updating to 3.2.2

Post by blueflame100 » Tue Jan 09, 2018 6:42 am

Support Request Template
What version of phpBB are you using? phpBB 3.2.2
What is your board's URL? No answer given
Who do you host your board with? No answer given
How did you install your board? I used the download package from phpBB.com
What is the most recent action performed on your board? Update from a previous version of phpBB3
Is registration required to reproduce this issue? No
Do you have any MODs installed? No
Do you have any extensions installed? Yes
What version of phpBB3 did you update from? phpBB 3.2.1
What extensions do you have installed? cloudflareip
What styles do you currently have installed? prosilver, Flat Style (does not affect issue)
What language(s) is your board currently using? English
Which database type/version are you using? MySQL 5.6
What is your level of experience? Experienced with PHP and phpBB
What actions did you take (updating your board; installing a MOD, style or extension; etc.) prior to this problem becoming noticeable? Updated via automatic update.
Please describe your problem. The following error is thrown when attempting to access the forum:

Code: Select all

Uncaught exception 'RuntimeException' with message 'Token {TEXT} is ambiguous or undefined' in /forums/vendor/s9e/text-formatter/src/Plugins/BBCodes/Configurator/BBCodeMonkey.php:83
This only occurs when the 'install' directory that is included in the automatic update package is not present.

User avatar
Mick
Support Team Member
Support Team Member
Posts: 21662
Joined: Fri Aug 29, 2008 9:49 am
Location: Cardiff

Re: BBCode Configurator Error After Updating to 3.2.2

Post by Mick » Tue Jan 09, 2018 10:11 am

Why are you using the auto-updater, have you been modifying the core files?
"The more connected we get the more alone we become" - Kyle Broflovski

User avatar
JoshyPHP
Code Contributor
Posts: 1046
Joined: Mon Jul 11, 2011 12:28 am

Re: BBCode Configurator Error After Updating to 3.2.2

Post by JoshyPHP » Wed Jan 10, 2018 6:10 am

I don't know how the install is related to anything but the issue is probably with a custom bbcode.html file. Judging by the error message, there's a {TEXT} token used ambiguously somehow. Replace the custom bbcode.html with the one from the default style until you find which one triggers that error.
I wrote the thing that does BBCodes in 3.2.

User avatar
R3gi
Registered User
Posts: 103
Joined: Mon May 05, 2014 4:33 pm
Location: Czech Republic

Re: BBCode Configurator Error After Updating to 3.2.2

Post by R3gi » Sat Mar 10, 2018 11:37 am

I had the same issue. The problem was very probably in the vendor/s9e/ folder (as stated in the error message). Replacing the bbcode.html file from the orginal installation package didn't help.

I've solved the problem by performing a manual update instead of using that retarded semi-automated upgrade installer package (in my case 3.2.1 → 3.2.2). That means deleting the config.php file, /images, /store and /files folders from the package, deleting /vendor and /cache folders from the board folder and copying the whole that package to FTP. Then I run the installer again. Then everything finally worked.

Post Reply

Return to “[3.2.x] Support Forum”